Skip to main content
PATCH
/
trust-centers
/
{slugId}
/
control-categories
/
{categoryId}
/
controls
Bulk edit controls in a category
curl --request PATCH \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/control-categories/{categoryId}/controls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "controlsToAdd": [
    "<string>"
  ],
  "controlsToRemove": [
    "<string>"
  ]
}
'
{
  "id": "93d69894dd525f806d7e5c48",
  "name": "Category name"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
categoryId
string
required

Body

application/json

Request body for bulk editing controls in a category.

controlsToAdd
string[]
required

IDs of controls to add to the category.

controlsToRemove
string[]
required

IDs of controls to remove from the category.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the control category.

name
string
required

Name of the category.